LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::i18n::TransliterationType Constant Group Referencepublished

Bitmask transliteration types used with XTransliteration::getType() and XTransliteration::getAvailableModules() methods. More...

## Variables
const short | NONE = 0
const short | ONE_TO_ONE = 1
| A transliteration module is ONE_TO_ONE if and only if it's mapping between characters is one to one like a-z to A-Z. More...
const short | NUMERIC = 2
| A transliteration module can have attribute NUMERIC if it transliterates numbers in different languages like Chinese numbers to Arabic numbers and vice versa. More...
const short | ONE_TO_ONE_NUMERIC = 3
| A transliteration module is ONE_TO_ONE_NUMERIC if it offers both one to one mapping and handles number also. More...
const short | IGNORE = 4
| With a transliteration IGNORE case, the regular expression A-Z can be transformed to a-z, for example. More...
const short | CASCADE = 8
| If the transliteration is cascaded (uses more than one algorithm). More...

## Detailed Description

Bitmask transliteration types used with XTransliteration::getType() and XTransliteration::getAvailableModules() methods.

Non-IGNORE type modules provide XTransliteration::transliterate().
IGNORE type modules provide XTransliteration::equals() and XTransliteration::transliterateRange().

## Variable Documentation

## ◆ CASCADE

const short CASCADE = 8

If the transliteration is cascaded (uses more than one algorithm).

## ◆ IGNORE

const short IGNORE = 4

With a transliteration IGNORE case, the regular expression A-Z can be transformed to a-z, for example.

## ◆ NONE

const short NONE = 0

## ◆ NUMERIC

const short NUMERIC = 2

A transliteration module can have attribute NUMERIC if it transliterates numbers in different languages like Chinese numbers to Arabic numbers and vice versa.

This mapping need not be one to one, it should be primarily used by number formatting and parsing methods.

## ◆ ONE_TO_ONE

const short ONE_TO_ONE = 1

A transliteration module is ONE_TO_ONE if and only if it's mapping between characters is one to one like a-z to A-Z.

Transliteration modules of this type can be used as choice in regular expressions based search/replace.

## ◆ ONE_TO_ONE_NUMERIC

const short ONE_TO_ONE_NUMERIC = 3

A transliteration module is ONE_TO_ONE_NUMERIC if it offers both one to one mapping and handles number also.